=== build_old/docs/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/docs/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
docs/CMakeFiles/docs.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/CMakeFiles/docs.dir/rule
.PHONY : docs/CMakeFiles/docs.dir/rule

# Convenience name for target.
docs: docs/CMakeFiles/docs.dir/rule
.PHONY : docs

# fast build rule for target.
docs/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/docs.dir/build.make docs/CMakeFiles/docs.dir/build
.PHONY : docs/fast

# Convenience name for target.
docs/CMakeFiles/makedoc.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/CMakeFiles/makedoc.dir/rule
.PHONY : docs/CMakeFiles/makedoc.dir/rule

# Convenience name for target.
makedoc: docs/CMakeFiles/makedoc.dir/rule
.PHONY : makedoc

# fast build rule for target.
makedoc/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/build
.PHONY : makedoc/fast

src/makedoc/makechm.o: src/makedoc/makechm.c.o
.PHONY : src/makedoc/makechm.o

# target to build an object file
src/makedoc/makechm.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.o
.PHONY : src/makedoc/makechm.c.o

src/makedoc/makechm.i: src/makedoc/makechm.c.i
.PHONY : src/makedoc/makechm.i

# target to preprocess a source file
src/makedoc/makechm.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.i
.PHONY : src/makedoc/makechm.c.i

src/makedoc/makechm.s: src/makedoc/makechm.c.s
.PHONY : src/makedoc/makechm.s

# target to generate assembly for a file
src/makedoc/makechm.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.s
.PHONY : src/makedoc/makechm.c.s

src/makedoc/makedevh.o: src/makedoc/makedevh.c.o
.PHONY : src/makedoc/makedevh.o

# target to build an object file
src/makedoc/makedevh.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.o
.PHONY : src/makedoc/makedevh.c.o

src/makedoc/makedevh.i: src/makedoc/makedevh.c.i
.PHONY : src/makedoc/makedevh.i

# target to preprocess a source file
src/makedoc/makedevh.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.i
.PHONY : src/makedoc/makedevh.c.i

src/makedoc/makedevh.s: src/makedoc/makedevh.c.s
.PHONY : src/makedoc/makedevh.s

# target to generate assembly for a file
src/makedoc/makedevh.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.s
.PHONY : src/makedoc/makedevh.c.s

src/makedoc/makedoc.o: src/makedoc/makedoc.c.o
.PHONY : src/makedoc/makedoc.o

# target to build an object file
src/makedoc/makedoc.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.o
.PHONY : src/makedoc/makedoc.c.o

src/makedoc/makedoc.i: src/makedoc/makedoc.c.i
.PHONY : src/makedoc/makedoc.i

# target to preprocess a source file
src/makedoc/makedoc.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.i
.PHONY : src/makedoc/makedoc.c.i

src/makedoc/makedoc.s: src/makedoc/makedoc.c.s
.PHONY : src/makedoc/makedoc.s

# target to generate assembly for a file
src/makedoc/makedoc.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.s
.PHONY : src/makedoc/makedoc.c.s

src/makedoc/makehtml.o: src/makedoc/makehtml.c.o
.PHONY : src/makedoc/makehtml.o

# target to build an object file
src/makedoc/makehtml.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.o
.PHONY : src/makedoc/makehtml.c.o

src/makedoc/makehtml.i: src/makedoc/makehtml.c.i
.PHONY : src/makedoc/makehtml.i

# target to preprocess a source file
src/makedoc/makehtml.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.i
.PHONY : src/makedoc/makehtml.c.i

src/makedoc/makehtml.s: src/makedoc/makehtml.c.s
.PHONY : src/makedoc/makehtml.s

# target to generate assembly for a file
src/makedoc/makehtml.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.s
.PHONY : src/makedoc/makehtml.c.s

src/makedoc/makeman.o: src/makedoc/makeman.c.o
.PHONY : src/makedoc/makeman.o

# target to build an object file
src/makedoc/makeman.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.o
.PHONY : src/makedoc/makeman.c.o

src/makedoc/makeman.i: src/makedoc/makeman.c.i
.PHONY : src/makedoc/makeman.i

# target to preprocess a source file
src/makedoc/makeman.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.i
.PHONY : src/makedoc/makeman.c.i

src/makedoc/makeman.s: src/makedoc/makeman.c.s
.PHONY : src/makedoc/makeman.s

# target to generate assembly for a file
src/makedoc/makeman.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.s
.PHONY : src/makedoc/makeman.c.s

src/makedoc/makemisc.o: src/makedoc/makemisc.c.o
.PHONY : src/makedoc/makemisc.o

# target to build an object file
src/makedoc/makemisc.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makemisc.c.o
.PHONY : src/makedoc/makemisc.c.o

src/makedoc/makemisc.i: src/makedoc/makemisc.c.i
.PHONY : src/makedoc/makemisc.i

# target to preprocess a source file
src/makedoc/makemisc.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makemisc.c.i
.PHONY : src/makedoc/makemisc.c.i

src/makedoc/makemisc.s: src/makedoc/makemisc.c.s
.PHONY : src/makedoc/makemisc.s

# target to generate assembly for a file
src/makedoc/makemisc.c.s:
