=== build_old/examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/examples/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
examples/CMakeFiles/copy_example_data.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/copy_example_data.dir/rule
.PHONY : examples/CMakeFiles/copy_example_data.dir/rule

# Convenience name for target.
copy_example_data: examples/CMakeFiles/copy_example_data.dir/rule
.PHONY : copy_example_data

# fast build rule for target.
copy_example_data/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/copy_example_data.dir/build.make examples/CMakeFiles/copy_example_data.dir/build
.PHONY : copy_example_data/fast

# Convenience name for target.
examples/CMakeFiles/ex12bit.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex12bit.dir/rule
.PHONY : examples/CMakeFiles/ex12bit.dir/rule

# Convenience name for target.
ex12bit: examples/CMakeFiles/ex12bit.dir/rule
.PHONY : ex12bit

# fast build rule for target.
ex12bit/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex12bit.dir/build.make examples/CMakeFiles/ex12bit.dir/build
.PHONY : ex12bit/fast

# Convenience name for target.
examples/CMakeFiles/ex3buf.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex3buf.dir/rule
.PHONY : examples/CMakeFiles/ex3buf.dir/rule

# Convenience name for target.
ex3buf: examples/CMakeFiles/ex3buf.dir/rule
.PHONY : ex3buf

# fast build rule for target.
ex3buf/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex3buf.dir/build.make examples/CMakeFiles/ex3buf.dir/build
.PHONY : ex3buf/fast

# Convenience name for target.
examples/CMakeFiles/ex3d.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex3d.dir/rule
.PHONY : examples/CMakeFiles/ex3d.dir/rule

# Convenience name for target.
ex3d: examples/CMakeFiles/ex3d.dir/rule
.PHONY : ex3d

# fast build rule for target.
ex3d/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex3d.dir/build.make examples/CMakeFiles/ex3d.dir/build
.PHONY : ex3d/fast

# Convenience name for target.
examples/CMakeFiles/exaccel.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exaccel.dir/rule
.PHONY : examples/CMakeFiles/exaccel.dir/rule

# Convenience name for target.
exaccel: examples/CMakeFiles/exaccel.dir/rule
.PHONY : exaccel

# fast build rule for target.
exaccel/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exaccel.dir/build.make examples/CMakeFiles/exaccel.dir/build
.PHONY : exaccel/fast

# Convenience name for target.
examples/CMakeFiles/exalpha.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exalpha.dir/rule
.PHONY : examples/CMakeFiles/exalpha.dir/rule

# Convenience name for target.
exalpha: examples/CMakeFiles/exalpha.dir/rule
.PHONY : exalpha

# fast build rule for target.
exalpha/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exalpha.dir/build.make examples/CMakeFiles/exalpha.dir/build
.PHONY : exalpha/fast

# Convenience name for target.
examples/CMakeFiles/exbitmap.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exbitmap.dir/rule
.PHONY : examples/CMakeFiles/exbitmap.dir/rule

# Convenience name for target.
exbitmap: examples/CMakeFiles/exbitmap.dir/rule
.PHONY : exbitmap

# fast build rule for target.
exbitmap/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exbitmap.dir/build.make examples/CMakeFiles/exbitmap.dir/build
.PHONY : exbitmap/fast

# Convenience name for target.
examples/CMakeFiles/exblend.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exblend.dir/rule
.PHONY : examples/CMakeFiles/exblend.dir/rule

# Convenience name for target.
exblend: examples/CMakeFiles/exblend.dir/rule
.PHONY : exblend

# fast build rule for target.
exblend/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exblend.dir/build.make examples/CMakeFiles/exblend.dir/build
.PHONY : exblend/fast

# Convenience name for target.
examples/CMakeFiles/excamera.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excamera.dir/rule
.PHONY : examples/CMakeFiles/excamera.dir/rule

# Convenience name for target.
excamera: examples/CMakeFiles/excamera.dir/rule
.PHONY : excamera

# fast build rule for target.
excamera/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excamera.dir/build.make examples/CMakeFiles/excamera.dir/build
.PHONY : excamera/fast

# Convenience name for target.
examples/CMakeFiles/excolmap.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excolmap.dir/rule
.PHONY : examples/CMakeFiles/excolmap.dir/rule

# Convenience name for target.
excolmap: examples/CMakeFiles/excolmap.dir/rule
.PHONY : excolmap

# fast build rule for target.
excolmap/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excolmap.dir/build.make examples/CMakeFiles/excolmap.dir/build
.PHONY : excolmap/fast

# Convenience name for target.
examples/CMakeFiles/exconfig.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exconfig.dir/rule
.PHONY : examples/CMakeFiles/exconfig.dir/rule

# Convenience name for target.
exconfig: examples/CMakeFiles/exconfig.dir/rule
.PHONY : exconfig

# fast build rule for target.
exconfig/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exconfig.dir/build.make examples/CMakeFiles/exconfig.dir/build
.PHONY : exconfig/fast

# Convenience name for target.
examples/CMakeFiles/excustom.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excustom.dir/rule
.PHONY : examples/CMakeFiles/excustom.dir/rule

# Convenience name for target.
excustom: examples/CMakeFiles/excustom.dir/rule
.PHONY : excustom

# fast build rule for target.
excustom/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excustom.dir/build.make examples/CMakeFiles/excustom.dir/build
.PHONY : excustom/fast

# Convenience name for target.
examples/CMakeFiles/exdata.dir/rule:
