=== build_old/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/tests/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/afinfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/afinfo.dir/rule
.PHONY : tests/CMakeFiles/afinfo.dir/rule

# Convenience name for target.
afinfo: tests/CMakeFiles/afinfo.dir/rule
.PHONY : afinfo

# fast build rule for target.
afinfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/build
.PHONY : afinfo/fast

# Convenience name for target.
tests/CMakeFiles/akaitest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/akaitest.dir/rule
.PHONY : tests/CMakeFiles/akaitest.dir/rule

# Convenience name for target.
akaitest: tests/CMakeFiles/akaitest.dir/rule
.PHONY : akaitest

# fast build rule for target.
akaitest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/akaitest.dir/build.make tests/CMakeFiles/akaitest.dir/build
.PHONY : akaitest/fast

# Convenience name for target.
tests/CMakeFiles/digitest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/digitest.dir/rule
.PHONY : tests/CMakeFiles/digitest.dir/rule

# Convenience name for target.
digitest: tests/CMakeFiles/digitest.dir/rule
.PHONY : digitest

# fast build rule for target.
digitest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/digitest.dir/build.make tests/CMakeFiles/digitest.dir/build
.PHONY : digitest/fast

# Convenience name for target.
tests/CMakeFiles/filetest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/filetest.dir/rule
.PHONY : tests/CMakeFiles/filetest.dir/rule

# Convenience name for target.
filetest: tests/CMakeFiles/filetest.dir/rule
.PHONY : filetest

# fast build rule for target.
filetest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/filetest.dir/build.make tests/CMakeFiles/filetest.dir/build
.PHONY : filetest/fast

# Convenience name for target.
tests/CMakeFiles/gfxinfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/gfxinfo.dir/rule
.PHONY : tests/CMakeFiles/gfxinfo.dir/rule

# Convenience name for target.
gfxinfo: tests/CMakeFiles/gfxinfo.dir/rule
.PHONY : gfxinfo

# fast build rule for target.
gfxinfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/gfxinfo.dir/build.make tests/CMakeFiles/gfxinfo.dir/build
.PHONY : gfxinfo/fast

# Convenience name for target.
tests/CMakeFiles/mathtest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/mathtest.dir/rule
.PHONY : tests/CMakeFiles/mathtest.dir/rule

# Convenience name for target.
mathtest: tests/CMakeFiles/mathtest.dir/rule
.PHONY : mathtest

# fast build rule for target.
mathtest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/mathtest.dir/build.make tests/CMakeFiles/mathtest.dir/build
.PHONY : mathtest/fast

# Convenience name for target.
tests/CMakeFiles/miditest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/miditest.dir/rule
.PHONY : tests/CMakeFiles/miditest.dir/rule

# Convenience name for target.
miditest: tests/CMakeFiles/miditest.dir/rule
.PHONY : miditest

# fast build rule for target.
miditest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/miditest.dir/build.make tests/CMakeFiles/miditest.dir/build
.PHONY : miditest/fast

# Convenience name for target.
tests/CMakeFiles/play.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/play.dir/rule
.PHONY : tests/CMakeFiles/play.dir/rule

# Convenience name for target.
play: tests/CMakeFiles/play.dir/rule
.PHONY : play

# fast build rule for target.
play/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/play.dir/build.make tests/CMakeFiles/play.dir/build
.PHONY : play/fast

# Convenience name for target.
tests/CMakeFiles/playfli.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/playfli.dir/rule
.PHONY : tests/CMakeFiles/playfli.dir/rule

# Convenience name for target.
playfli: tests/CMakeFiles/playfli.dir/rule
.PHONY : playfli

# fast build rule for target.
playfli/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/playfli.dir/build.make tests/CMakeFiles/playfli.dir/build
.PHONY : playfli/fast

# Convenience name for target.
tests/CMakeFiles/test.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/test.dir/rule
.PHONY : tests/CMakeFiles/test.dir/rule

# Convenience name for target.
test: tests/CMakeFiles/test.dir/rule
.PHONY : test

# fast build rule for target.
test/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/test.dir/build.make tests/CMakeFiles/test.dir/build
.PHONY : test/fast

# Convenience name for target.
tests/CMakeFiles/vesainfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/vesainfo.dir/rule
.PHONY : tests/CMakeFiles/vesainfo.dir/rule

# Convenience name for target.
vesainfo: tests/CMakeFiles/vesainfo.dir/rule
.PHONY : vesainfo

# fast build rule for target.
vesainfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/vesainfo.dir/build.make tests/CMakeFiles/vesainfo.dir/build
.PHONY : vesainfo/fast

afinfo.o: afinfo.c.o
.PHONY : afinfo.o

# target to build an object file
afinfo.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.o
.PHONY : afinfo.c.o

afinfo.i: afinfo.c.i
.PHONY : afinfo.i

# target to preprocess a source file
afinfo.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.i
.PHONY : afinfo.c.i

afinfo.s: afinfo.c.s
.PHONY : afinfo.s

# target to generate assembly for a file
afinfo.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.s
.PHONY : afinfo.c.s

akaitest.o: akaitest.c.o
.PHONY : akaitest.o

# target to build an object file
akaitest.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/akaitest.dir/build.make tests/CMakeFiles/akaitest.dir/akaitest.c.o
.PHONY : akaitest.c.o
