=== build_old/addons/jpgalleg/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/addons/jpgalleg/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule
.PHONY : addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule

# Convenience name for target.
jpgalleg: addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule
.PHONY : jpgalleg

# fast build rule for target.
jpgalleg/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/build
.PHONY : jpgalleg/fast

src/decode.o: src/decode.c.o
.PHONY : src/decode.o

# target to build an object file
src/decode.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.o
.PHONY : src/decode.c.o

src/decode.i: src/decode.c.i
.PHONY : src/decode.i

# target to preprocess a source file
src/decode.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.i
.PHONY : src/decode.c.i

src/decode.s: src/decode.c.s
.PHONY : src/decode.s

# target to generate assembly for a file
src/decode.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.s
.PHONY : src/decode.c.s

src/encode.o: src/encode.c.o
.PHONY : src/encode.o

# target to build an object file
src/encode.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.o
.PHONY : src/encode.c.o

src/encode.i: src/encode.c.i
.PHONY : src/encode.i

# target to preprocess a source file
src/encode.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.i
.PHONY : src/encode.c.i

src/encode.s: src/encode.c.s
.PHONY : src/encode.s

# target to generate assembly for a file
src/encode.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.s
.PHONY : src/encode.c.s

src/error.o: src/error.c.o
.PHONY : src/error.o

# target to build an object file
src/error.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.o
.PHONY : src/error.c.o

src/error.i: src/error.c.i
.PHONY : src/error.i

# target to preprocess a source file
src/error.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.i
.PHONY : src/error.c.i

src/error.s: src/error.c.s
.PHONY : src/error.s

# target to generate assembly for a file
src/error.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.s
.PHONY : src/error.c.s

src/init.o: src/init.c.o
.PHONY : src/init.o

# target to build an object file
src/init.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.o
.PHONY : src/init.c.o

src/init.i: src/init.c.i
.PHONY : src/init.i

# target to preprocess a source file
src/init.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.i
.PHONY : src/init.c.i

src/init.s: src/init.c.s
.PHONY : src/init.s

# target to generate assembly for a file
src/init.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.s
.PHONY : src/init.c.s

src/io.o: src/io.c.o
.PHONY : src/io.o

# target to build an object file
src/io.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.o
.PHONY : src/io.c.o

src/io.i: src/io.c.i
.PHONY : src/io.i

# target to preprocess a source file
src/io.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.i
.PHONY : src/io.c.i

src/io.s: src/io.c.s
.PHONY : src/io.s

# target to generate assembly for a file
src/io.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.s
.PHONY : src/io.c.s

src/jpgalleg.o: src/jpgalleg.c.o
.PHONY : src/jpgalleg.o

# target to build an object file
src/jpgalleg.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.o
.PHONY : src/jpgalleg.c.o

src/jpgalleg.i: src/jpgalleg.c.i
.PHONY : src/jpgalleg.i

# target to preprocess a source file
src/jpgalleg.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.i
.PHONY : src/jpgalleg.c.i

src/jpgalleg.s: src/jpgalleg.c.s
.PHONY : src/jpgalleg.s

# target to generate assembly for a file
src/jpgalleg.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.s
.PHONY : src/jpgalleg.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... jpgalleg"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... src/decode.o"
	@echo "... src/decode.i"
	@echo "... src/decode.s"
	@echo "... src/encode.o"
	@echo "... src/encode.i"
	@echo "... src/encode.s"
	@echo "... src/error.o"
	@echo "... src/error.i"
	@echo "... src/error.s"
	@echo "... src/init.o"
	@echo "... src/init.i"
	@echo "... src/init.s"
	@echo "... src/io.o"
	@echo "... src/io.i"
	@echo "... src/io.s"
	@echo "... src/jpgalleg.o"
	@echo "... src/jpgalleg.i"
	@echo "... src/jpgalleg.s"
.PHONY : help



#=============================================================================
