=== build_old/demos/skater/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/demos/skater/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
demos/skater/CMakeFiles/copy_skater_data.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/copy_skater_data.dir/rule
.PHONY : demos/skater/CMakeFiles/copy_skater_data.dir/rule

# Convenience name for target.
copy_skater_data: demos/skater/CMakeFiles/copy_skater_data.dir/rule
.PHONY : copy_skater_data

# fast build rule for target.
copy_skater_data/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/copy_skater_data.dir/build.make demos/skater/CMakeFiles/copy_skater_data.dir/build
.PHONY : copy_skater_data/fast

# Convenience name for target.
demos/skater/CMakeFiles/skater.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/skater.dir/rule
.PHONY : demos/skater/CMakeFiles/skater.dir/rule

# Convenience name for target.
skater: demos/skater/CMakeFiles/skater.dir/rule
.PHONY : skater

# fast build rule for target.
skater/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/build
.PHONY : skater/fast

# Convenience name for target.
demos/skater/CMakeFiles/skater_agl.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/skater_agl.dir/rule
.PHONY : demos/skater/CMakeFiles/skater_agl.dir/rule

# Convenience name for target.
skater_agl: demos/skater/CMakeFiles/skater_agl.dir/rule
.PHONY : skater_agl

# fast build rule for target.
skater_agl/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/build
.PHONY : skater_agl/fast

source/anim.o: source/anim.c.o
.PHONY : source/anim.o

# target to build an object file
source/anim.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.o
.PHONY : source/anim.c.o

source/anim.i: source/anim.c.i
.PHONY : source/anim.i

# target to preprocess a source file
source/anim.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.i
.PHONY : source/anim.c.i

source/anim.s: source/anim.c.s
.PHONY : source/anim.s

# target to generate assembly for a file
source/anim.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.s
.PHONY : source/anim.c.s

source/backscrl.o: source/backscrl.c.o
.PHONY : source/backscrl.o

# target to build an object file
source/backscrl.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.o
.PHONY : source/backscrl.c.o

source/backscrl.i: source/backscrl.c.i
.PHONY : source/backscrl.i

# target to preprocess a source file
source/backscrl.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.i
.PHONY : source/backscrl.c.i

source/backscrl.s: source/backscrl.c.s
.PHONY : source/backscrl.s

# target to generate assembly for a file
source/backscrl.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.s
.PHONY : source/backscrl.c.s

source/credits.o: source/credits.c.o
.PHONY : source/credits.o

# target to build an object file
source/credits.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.o
.PHONY : source/credits.c.o

source/credits.i: source/credits.c.i
.PHONY : source/credits.i

# target to preprocess a source file
source/credits.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.i
.PHONY : source/credits.c.i

source/credits.s: source/credits.c.s
.PHONY : source/credits.s

# target to generate assembly for a file
source/credits.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.s
.PHONY : source/credits.c.s

source/dblbuf.o: source/dblbuf.c.o
.PHONY : source/dblbuf.o

# target to build an object file
source/dblbuf.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/dblbuf.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/dblbuf.c.o
.PHONY : source/dblbuf.c.o

source/dblbuf.i: source/dblbuf.c.i
.PHONY : source/dblbuf.i

# target to preprocess a source file
source/dblbuf.c.i:
