=== debian/changelog ===
allegro4.4 (2:4.4.2-maemo1) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:22:41 +0200

allegro4.4 (2:4.4.2-1~getdeb1) lucid; urgency=low

  * New upstream version
   Make rest(0) call select() with non-zero timeout on Unix.  The old
   implementation was no longer enough to make input responsive on X11,
   on programs which try to draw as fast as possible.  (Peter Wang)

   Fix module loading on Unix (Bernhard Rosenkraenzer).

   Made memory bitmaps returned by create_system_bitmap not marked as system
   bitmaps (Edgar Reynaldo).

   Add detection of Windows 7 (Andrei Ellman).

   Fail instead of crashing if gfx_directx_make_bitmap_from_surface() fails
   (Andrei Ellman).

   Fix crash in GDI driver if setting a second mode fails, after having
   successfully set a mode previously (Andrei Ellman).

   Add missing frameworks required for static linking on OS X (Peter Johansson).

   Fixed a problem with keyboard focus being lost on OS X when switching from
   windowed mode to fullscreen mode (Peter Johansson).

   alsa_rawmidi_init could return success on failure (Nicolas Kaiser).

   Updated PSP port from diedel.  "The graphics, system, digi, keyboard, mouse,
   joystick and timer drivers are implemented and are fully functional.  It
   supports 8, 15, 16 and 32 bpp color depths and a max. resolution of 480x272
   pixels."

   Eliminated the need for old DirectX headers for the Windows port
   (David Capello).

   Fix problems in Windows when you use Alt-Tab.  Sometimes the Alt modifier is
   kept pressed when you focus the Allegro window.  (David Capello)

   Make the submenu appear to the right of its parent menu if it does not fit
   in the screen (Paul Suntsov).

   Made timers on Unix cope with system time being set backwards
   (Hardi Stengelin).

   Fix various compilation and build problems (scottmc, Cristian Morales Vega,
   Tony Ylisirniö, Edgar Reynaldo).

   Added WANT_OSS, WANT_ALSA, WANT_JACK, WANT_SGIAUDIO options
   (Samuli Suominen).

   Also pass -pg when building shared library in PROFILE mode.

   Let demos find readme.txt and source files correctly even if running from a
   build directory (Peter Wang).

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 May 2011 18:41:41 +0200

allegro4.4 (2:4.4.1.1-1~getdeb1) lucid; urgency=low

  * Upload to GetDeb.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 01 May 2011 15:18:20 +0200

allegro4.4 (2:4.4.1.1-2lucid1) lucid; urgency=low

  * Build for lucid
  * Small patch for building documentation

 -- Szymon Weihs <sz.weihs@gmail.com>  Sun, 17 Oct 2010 16:55:52 +0200

allegro4.4 (2:4.4.1.1-1) unstable; urgency=low

  * Initial release

 -- Szymon Weihs <sz.weihs@gmail.com>  Mon, 16 Aug 2010 11:22:43 +0200
