=== debian/control ===
Source: allegro4.4
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 7), quilt, cmake, texinfo,
 libasound2-dev, libvorbis-dev, libx11-dev, 
 libpng12-dev
Standards-Version: 3.9.1
Homepage: http://alleg.sourceforge.net/

Package: liballeg4.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liballegro4.2
Conflicts: liballegro4.2
Priority: optional
Description: portable library for cross-platform game and multimedia development
 Allegro is a game programming library for C/C++ developers distributed freely.
 It provides many functions for graphics, sounds, player input (keyboard, 
 mouse and joystick) and timers. It also provides fixed and floating point 
 mathematical functions, 3d functions, file management functions, compressed 
 datafile and a GUI.

Package: liballeg4.4-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liballeg4.4 (= ${binary:Version}), libx11-dev, libpng12-dev, libglu1-mesa-dev, libvorbis-dev
Replaces: liballegro4.2-dev
Conflicts: liballegro4.2-dev
Priority: optional
Description: development files for the Allegro library
 This package contains the static libraries for the Allegro library with 
 the following addons: AllegroGL, JPGalleg, loadpng and LOGG.
 .
 Allegro is a cross-platform library intended for use in computer
 games and other types of multimedia programming. It is used by many
 DOS games and can be used to port them easily to Linux.
